javax.persistence

## Class LockTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.persistence.PersistenceException
        - - javax.persistence.LockTimeoutException

All Implemented Interfaces:
  Serializable

    public class LockTimeoutException
    extends PersistenceException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LockTimeoutException()`
`LockTimeoutException(Object entity)`
`LockTimeoutException(String message)`
`LockTimeoutException(String message, Throwable cause)`
`LockTimeoutException(String message, Throwable cause, Object entity)`
`LockTimeoutException(Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getObject()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LockTimeoutException

    public LockTimeoutException()

#### LockTimeoutException

    public LockTimeoutException(String message)

#### LockTimeoutException

    public LockTimeoutException(String message,
                                Throwable cause)

#### LockTimeoutException

    public LockTimeoutException(Throwable cause)

#### LockTimeoutException

    public LockTimeoutException(Object entity)

#### LockTimeoutException

    public LockTimeoutException(String message,
                                Throwable cause,
                                Object entity)

### Method Detail

#### getObject

    public Object getObject()